libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::quiet_errorhandler Class Reference
Errorhandler

An error handler that suppresses any previously registered error handlers. More...

`#include <errorhandler.hxx>`

Inheritance diagram for pqxx::quiet_errorhandler:

## Public Member Functions

| quiet_errorhandler (connection_base &conn)
virtual bool | operator() (const char[]) throw ()
| Define in subclass: receive an error or warning message from the database.
Public Member Functions inherited from pqxx::errorhandler
| errorhandler (connection_base &)
virtual | ~errorhandler ()

## Detailed Description

An error handler that suppresses any previously registered error handlers.

## Constructor & Destructor Documentation

pqxx::quiet_errorhandler::quiet_errorhandler | ( | connection_base & | conn | ) |

## Member Function Documentation

virtual bool pqxx::quiet_errorhandler::operator() | ( | const char | msg[] | ) | throw ()

virtual

Define in subclass: receive an error or warning message from the database.

Returns
  Whether the same error message should also be passed to the remaining, older errorhandlers.

Implements pqxx::errorhandler.

The documentation for this class was generated from the following file:

- errorhandler.hxx